Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.builders
Interface StandardQueryBuilder

All Superinterfaces:
  QueryBuilder

All Known Implementing Classes:
  AnyQueryNodeBuilder, BooleanQueryNodeBuilder, BoostQueryNodeBuilder, DummyQueryNodeBuilder, FieldQueryNodeBuilder, FuzzyQueryNodeBuilder, GroupQueryNodeBuilder, MatchAllDocsQueryNodeBuilder, MatchNoDocsQueryNodeBuilder, ModifierQueryNodeBuilder, MultiPhraseQueryNodeBuilder, NumericRangeQueryNodeBuilder, PhraseQueryNodeBuilder, PrefixWildcardQueryNodeBuilder, RangeQueryNodeBuilder, SlopQueryNodeBuilder, StandardBooleanQueryNodeBuilder, StandardQueryTreeBuilder, TermRangeQueryNodeBuilder, WildcardQueryNodeBuilder

    public interface StandardQueryBuilder

extends QueryBuilder

This interface should be implemented by every class that wants to build `Query` objects from `QueryNode` objects.

See Also:
  `QueryBuilder`, `QueryTreeBuilder`

Method Summary
`Query` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Method Detail

### build

    Query build(QueryNode queryNode)
                throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD